Package org.apache.lucene.analysis.morph

# Enum Class TokenType

java.lang.Object
java.lang.Enum<TokenType>
org.apache.lucene.analysis.morph.TokenType

All Implemented Interfaces:
  `Serializable`, `Comparable<TokenType>`, `Constable`

public enum TokenType extends Enum<TokenType>
Token type reflecting the original source of this token

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `KNOWN`
  Known words from the system dictionary.
  `UNKNOWN`
  Unknown words (heuristically segmented).
  `USER`
  Known words from the user dictionary.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TokenType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TokenType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### KNOWN

    public static final TokenType KNOWN
    Known words from the system dictionary.

  - ### UNKNOWN

    public static final TokenType UNKNOWN
    Unknown words (heuristically segmented).

  - ### USER

    public static final TokenType USER
    Known words from the user dictionary.

- ## Method Details

  - ### values

    public static TokenType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TokenType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null